XOSD_IS_ONSCREEN(3)

NAME
xosd_is_onscreen - Returns wether the XOSD window is shown

SYNOPSIS

#include <xosd.h>

xosd *xosd_is_onscreen (xosd *osd);

DESCRIPTION

osd_is_onscreen determines weather a XOSD window, is currently being shown (is mapped to the X display). Because XOSD displays data asynchronously (see xosd_display(3) for details) it can be difficult to know if data is being displayed, xosd_is_onscreen solves this problem.

Call xosd_show(3) or xosd_hide(3) to alter the visibility of the XOSD window.

ARGUMENTS

osd The XOSD window to query.

RETURN VALUE

A 1 is returned if the window is onscreen (mapped), or 0 if it is hidden (unmapped). On error, -1 is returned and xosd_error is set to indicate the reason for the error.

ENVIRONMENT

char *xosd_error
    A string to a text string describing the error, if one occurred.

HISTORY

The xosd_is_onscreen function first appeared in version 2.1 of the XOSD library.

AUTHORS

The XOSD library was originally written by André Renaud and is currenly maintained by Tim Wright, who also wrote the xosd_is_onscreen function. Michael JasonSmith thinks he wrote this document, but is not sure; drop Micahel an email (<mike@ldots.org>) if you think he didn't write this document.

BUGS

There are no known bugs with xosd_is_onscreen. Bug reports can be sent to <xosd@ignavus.net>.

SEE ALSO

 xosd_display(3), xosd_show(3), xosd_hide(3).